GetMaybeRel {sequoia} | R Documentation

## Find putative relatives

### Description

Identify pairs of individuals likely to be related, but not assigned as such in the provided pedigree.

### Usage

    GetMaybeRel(GenoM = NULL, SeqList = NULL, Ped = NULL,
      LifeHistData = NULL, ParSib = "par", Complex = "full",
      Err = 1e-04, MaxMismatch = 3, Tassign = 0.5, MaxPairs = 7 *
      nrow(GenoM), DumPrefix = c("F0", "M0"), quiet = FALSE)

### Arguments

`GenoM` | matrix with genotype data, size nInd x nSnp
`SeqList` | list with output from `sequoia`. If provided, the elements ‘Specs’, ‘AgePriors’ and 'LifeHist' are used, and all other input parameters except 'GenoM', 'ParSib' and 'quiet' are ignored.
`Ped` | dataframe with pedigree, with id - dam - sire in columns 1-3
`LifeHistData` | dataframe with columns id - sex (1=female, 2=male, 3=unknown) - birth year
`ParSib` | either 'par' to check for putative parent-offspring pairs only, or 'sib' to check for all types of first and second degree relatives. When 'par', all pairs are returned that are more likely parent-offspring than unrelated, including pairs that are even more likely to be otherwise related.
`Complex` | either "full" (default), "simp" (simplified, no explicit consideration of inbred relationships), "mono" (monogamous) or "herm" (hermaphrodites, otherwise like "full").
`Err` | estimated genotyping error rate. The error model aims to deal with scoring errors typical for SNP arrays.
`MaxMismatch` | maximum number of loci at which candidate parent and offspring are allowed to be opposite homozygotes. Setting a more liberal threshold can improve performance if the error rate is high, at the cost of decreased speed.
`Tassign` | minimum LLR required for acceptance of proposed relationship, relative to next most likely relationship. Higher values result in more conservative assignments. Must be zero or positive.
`MaxPairs` | The maximum number of putative pairs to return.
`DumPrefix` | character vector of length 2 with prefixes for dummy dams (mothers) and sires (fathers) used in `Ped`.
`quiet` | suppress messages

### Value

A list with

`MaybeParent or MaybeRel` | Non-assigned likely relatives
`MaybeTrio` | Non-assigned parent-parent-offspring trios

### Examples

    ## Not run:
    data(SimGeno_example, LH_HSg5, package="sequoia")
    SeqOUT <- sequoia(GenoM = SimGeno_example,
                      LifeHistData = LH_HSg5, MaxSibIter = 0)
    MaybePO <- GetMaybeRel(GenoM = SimGeno_example,
                          SeqList = SeqOUT)

    # age differences limit which relationships are considered:
    MaybePO3 <- GetMaybeRel(GenoM = SimGeno_example,
                          Ped = SeqOUT$PedigreePar)

    ## End(Not run)

[Package sequoia version 1.3.3 Index]